%% inercja I-rzdu
clear;
 
%% zmienne k
k1=2;
k2=4;
k3=6;

%% zmienne T
T1=0.5;
T2=2;
T3=4;

%% Transmitancje operatorowe
G1=tf([k1],[T1 1]);
G2=tf([k2],[T2 1]);
G3=tf([k3],[T3 1]);

%% Charakterystyki czasowe

% charakterystyka skokowa
subplot(2,2,1);
step(G1,G2,G3)
xlabel('czas')
ylabel('parametr k')
title('ch. skokowa')

% charakterystyka impulsowa
subplot(2,2,2);
impulse(G1,G2,G3);
xlabel('czas')
ylabel('parametr k')
title('ch. impulsowa')

% charakterysta czstotliwociowa bodego
subplot(2,2,3);
bode(G1,G2,G3); 
xlabel('czestotliwosc')
title('ch. Bodego')

% charakterystyka amplitudowo-fazowa
subplot(2,2,4);
nyquist(G1,G2,G3); 
title('ch. Nyquista')
