%% cakujcy rzeczywisty

% stae k oraz zmienne T
clear;
k=2;
T1=.5;
T2=1;
T3=3;

%% Transmitancje operatorowe
G_T1=tf([k],[T1 1 0]);
G_T2=tf([k],[T2 1 0]);
G_T3=tf([k],[T3 1 0]);

%% Charakterystyki czasowe

% charakterystyka skokow
subplot(2,2,1);
step(G_T1,G_T2,G_T3)
xlabel('czas')
ylabel('parametr k')
title('ch. skokowa')

% charakterystyka impulsowa
subplot(2,2,2);
impulse(G_T1,G_T2,G_T3)
xlabel('czas')
ylabel('parametr k')
title('ch. impulsowa')


% charakterysta czstotliwociowa bodego
subplot(2,2,3);
bode(G_T1,G_T2,G_T3);
xlabel('czestotliwosc')
title('ch. Bodego')


% charakterystyka amplitudowo-fazowa
subplot(2,2,4);
nyquist(G_T1,G_T2,G_T3);
title('ch. Nyquista')
