%% inercja II-rzdu

% stae T oraz zmienne k
clear;
T1=1;
T2=2;
k1=1;
k2=2;
k3=4;

%% Transmitancje operatorowe
G_k1=tf([k1],[T1*T2 T1+T2 1]);
G_k2=tf([k2],[T1*T2 T1+T2 1]);
G_k3=tf([k3],[T1*T2 T1+T2 1]);

%% Charakterystyki czasowe

% charakterystyka skokowa
subplot(2,2,1);
step(G_k1,G_k2,G_k3)
xlabel('czas')
ylabel('parametr k')
title('ch. skokowa')

% charakterystyka impulsowa
subplot(2,2,2);
impulse(G_k1,G_k2,G_k3)
xlabel('czas')
ylabel('parametr k')
title('ch. impulsowa')

% charakterysta czstotliwociowa bodego
subplot(2,2,3);
bode(G_k1,G_k2,G_k3); 
xlabel('czestotliwosc')
title('ch. Bodego')

% charakterystyka amplitudowo-fazowa
subplot(2,2,4);
nyquist(G_k1,G_k2,G_k3); 
title('ch. Nyquista')
