%% oscylacyjny

% zmienne k
clear;
T=2
k1=1;
k2=2;
k3=4;
% na ksztat odpowiedzi skokowej wpywa warto ksi
% ksi=0    -> brak tumienia
% 0<ksi<1  -> tumienie drga
% -1<ksi<0 -> drgania rosnce
ksi=0.5;  


%% Transmitancje operatorowe
G_k1=tf([k1],[T^2 2*ksi*T 1]);
G_k2=tf([k2],[T^2 2*ksi*T 1]);
G_k3=tf([k3],[T^2 2*ksi*T 1]);

%% Charakterystyki czasowe

% charakterystyka skokowa
subplot(2,2,1);
step(G_k1,G_k2,G_k3)
xlabel('czas')
ylabel('parametr k')
title('ch. skokowa')

% charakterystyka impulsowa
subplot(2,2,2);
impulse(G_k1,G_k2,G_k3)
xlabel('czas')
ylabel('parametr k')
title('ch. impulsowa')

% charakterysta czstotliwociowa bodego
subplot(2,2,3);
bode(G_k1,G_k2,G_k3); 
xlabel('czestotliwosc')
title('ch. Bodego')

% charakterystyka amplitudowo-fazowa
subplot(2,2,4);
nyquist(G_k1,G_k2,G_k3); 
title('ch. Nyquista')
